/* This file is part of Mailfromd.             -*- c -*-
   Copyright (C) 2009, 2010 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

MF_DEFUN(mailutils_set_debug_level, VOID, STRING str)
{
	const struct locus *loc = env_get_locus(env);
	char *pfx;
	asprintf(&pfx, "%s:%lu", loc->file, (unsigned long)loc->line);
	mu_global_debug_from_string(str, pfx);
	free(pfx);
}
END

MF_INIT
